MediaWiki:Common.css: Difference between revisions

No edit summary
Tag: Manual revert
No edit summary
Line 37: Line 37:
}
}


/* Optional: Add space at the top so the banner isn't covered by the logo/search bar */
 
.mw-header {
.mw-header {
     margin-top: 20px; /* Adjust this value to the height of your banner */
     margin-top: 10px;
}
}
#content {
#content {
     background-color: #2f2f2f; /* Makes content semi-transparent */
     background-color: #2f2f2f;
}
}
/* Make the top-right personal tools larger and stick to the corner */
.vector-user-links {
.vector-user-links {
     position: fixed;  
     position: fixed;  
Line 57: Line 56:
}
}


/* Adjust icons specifically if they look blurry after scaling */
.vector-user-links .vector-icon {
.vector-user-links .vector-icon {
     width: 24px;  /* Increase base icon size */
     width: 24px
     height: 24px;
     height: 24px;
}
}
/* Change all links to silver */
 
a {
a {
     color: #d1d1d1 !important; /* You can also use the hex code #C0C0C0 */
     color: #d1d1d1 !important;
}
}


/* Optional: Change color for visited links to stay silver */
 
a:visited {
a:visited {
     color: #A8A9AD !important;
     color: #A8A9AD !important;
}
}


/* Optional: Slightly brighter silver or a different effect on hover */
a:hover {
a:hover {
     color: #e0e0e0 !important;
     color: #e0e0e0 !important;
Line 91: Line 88:
     }
     }


    /* Style each row like a card */
     .mobile-card-table tr {
     .mobile-card-table tr {


Line 99: Line 95:
     }
     }


}
.portable-infobox {
    float: right;       
    clear: right;         
   
    margin-top: 20px !important; 
    margin-right: 20px !important;
    margin-left: 20px;           
    margin-bottom: 10px;
    border-radius: 15px; 
    border: 1px solid #aaa
    overflow: hidden;     
   
    box-shadow: 0 4px 10px rgba(0,0,0,0.15);
}
.portable-infobox .pi-title {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}
}